aboutsummaryrefslogtreecommitdiff
path: root/scripts/recording
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xscripts/recording/camscreen.sh10
-rwxr-xr-xscripts/recording/screenrecord.sh7
-rwxr-xr-xscripts/recording/webcam.sh8
3 files changed, 25 insertions, 0 deletions
diff --git a/scripts/recording/camscreen.sh b/scripts/recording/camscreen.sh
new file mode 100755
index 0000000..4b2b594
--- /dev/null
+++ b/scripts/recording/camscreen.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+outfile=${1:-"$HOME/Pictures/recordings/video-cs-$(date -Iminutes).mp4"};
+
+[[ -f "$outfile" ]] && echo "[File already exists]: $outfile" && exit 1;
+
+ffplay /dev/video0 -s 300x200 -an &
+
+ffmpeg -f x11grab -s 1920x1080 -i :0.0 -f alsa -i hw:0,0 $outfile;
+
diff --git a/scripts/recording/screenrecord.sh b/scripts/recording/screenrecord.sh
new file mode 100755
index 0000000..bc5d6a3
--- /dev/null
+++ b/scripts/recording/screenrecord.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+
+prefix=${2:-"video"};
+
+outfile=${1:-"$HOME/Pictures/recordings/$prefix-screen-$(date -Iminutes).mp4"};
+
+ffmpeg -f x11grab -s 1920x1080 -i :0.0 -f alsa -i hw:0,0 $outfile;
diff --git a/scripts/recording/webcam.sh b/scripts/recording/webcam.sh
new file mode 100755
index 0000000..2bc47e1
--- /dev/null
+++ b/scripts/recording/webcam.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+outfile=${1:-"$HOME/Pictures/recordings/video-webcam-$(date -Iminutes).mp4"};
+
+[[ -f "$outfile" ]] && echo "[File already exists]: $outfile" && exit 1;
+
+# ffmpeg -i /dev/video0 out.mkv
+ffmpeg -i /dev/video0 -f alsa -i default $outfile;